package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 单位枚举
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum UnitEnum implements BaseEnum<String, UnitEnum> {

    DAY("天"),
    MONTH("月"),
    YEAR("年"),
    MINUTE("分钟数"),
    PCS("个"),

//    DAY("日"),
//    MONTH("月"),
//    YEAR("年"),
    QUARTERLY("季度"),
    YEAR_HALF("半年"),
    ;

    @EnumValue
    private String code;
    private String msg;

    UnitEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
